import { autoinject } from "aurelia-framework";
import { AbstractHubClient } from "./abstract-hub-client";

@autoinject
export class SecurityHubClient extends AbstractHubClient {

  protected get endpoint(): string {
    return '/securityHub';
  }

  public onUserPermissionsChanged(listener: () => void) {
    return this.subscribe('onUserPermissionsChanged', listener);
  }
}